* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
    overflow-x: hidden;
}

.seccion1 {
    text-align: center;
    min-height: 100vh;
    background-image: url(./images/fondovertical.png);
    background-size: cover; /* Asegura que la imagen cubra toda la sección */
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    position: relative; /* Necesario para posicionar el logo */
}

/* Estilo para el logo */
.imglogo {
    position: absolute;
    top: 20px; /* Ajusta la distancia desde la parte superior */
    left: 50%;
    transform: translateX(-50%);
    width: 70px; /* Ajusta el tamaño del logo según sea necesario */
}

h1 {
    font-family: 'Public Sans', sans-serif;
    font-size: 50px;
    margin-bottom: 10px;
    font-weight: 800;
}

/* Estilo para subtítulos y otros textos */
h2 {
    font-family: 'Inter', sans-serif;
    font-size: 13px;
    margin-bottom: 20px;
}

/* Estilos para el botón */
button {
    padding: 10px 15px;
    font-size: 15px;
    font-weight: bold;
    background-color: #1b377b;
    border: none;
    border-radius: 5px;
    color: white;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #2263d2;
}

/* Estilo para la segunda sección */
.seccion2 {
    padding: 10px;
    background-color: #ffffff;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.about{
    text-align: center;
}

.titulo-seccion2{
    font-family: 'Public Sans', sans-serif;
    font-size: 30px;
    color: #1b377b;
    padding: 20px;
}

.parrafo-seccion2{
    color: #000000;
    margin: 3px 10px 3px 10px;
}


.image-container{
    width: 370px;
    padding: 20px;
    display: block; /* Necesario para que `margin: 0 auto` funcione */
    margin: 0 auto;
}

.image-seccion2{
    width: 100%;
    border-radius: 10px;
}

.seccion3{
    background-color: #ffffff;
}

.titulo-seccion3{
    color: #1b377b;
    font-family: 'Public Sans', sans-serif;
    font-size: 30px;
    padding: 30px;
    text-align: center;
}

.container-card{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card{
	width: 300px;
	margin: 20px;
	border-radius: 6px;
	background:#fff;
	box-shadow: 0px 1px 10px rgba(0,0,0,0.2);
    overflow: hidden;
}

.card img{
	width: 100%;
}

.card .contenido-card{
	padding: 15px;
	text-align: center;
}

.card .contenido-card h4{
	margin-bottom: 15px;
	color: #122451;
}

.card .contenido-card p{
	line-height: 1.8;
	color: #000000;
	font-size: 14px;
	margin-bottom: 5px;
}

/* Contenedor principal */
.seccion4 {
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    height: 100vh; /* Ocupa toda la altura de la pantalla */
    margin: 0;
    padding: 0;
}

/* Cada imagen ocupa 25% del total */
.imagen {
    flex: 1;
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Imagenes específicas */
#imagen1 {
    background-image: url('./images/tenis.png'); /* Reemplaza con tu imagen */
}

#imagen2 {
    background-image: url('./images/padel.png'); /* Reemplaza con tu imagen */
}

#imagen3 {
    background-image: url('./images/futbol.png'); /* Reemplaza con tu imagen */
}

#imagen4 {
    background-image: url('./images/fisico.PNG'); /* Reemplaza con tu imagen */
}

/* Estilo de los títulos dentro de las imágenes */
.imagen h5 {
    color: white;
    font-size: 2rem;
    text-align: center;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7); /* Sombra para que el texto se vea bien sobre la imagen */
}

.titulo-central{
    display: none;
}

.seccion5{
    background-image: url(./images/fondoform.png);
    min-height: 100vh;
    background-size: cover; /* Asegura que la imagen cubra toda la sección */
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.titulo-seccion5{
    font-family: 'Public Sans', sans-serif;
    color: #ffffff;
    font-size: 40px;
    margin-bottom: 30px;
}

form {
    display: flex;
    flex-direction: column;
    width: 70%;
}

label{
    font-size: 10px;
    color: #ffffff;
    margin-bottom: 6px;
}

input , textarea{
    background-color: transparent;
    padding: 10px;
    border: 1px solid #ffffff;
    font-size: 10px;
    color: #ffffff;
    margin-bottom: 10px;
    border-radius: 10px;
}

:focus{
    outline: 0;
}

.btn{
    background-color: #2263d2;
    width: 50px;
    align-self: flex-end;
    cursor: pointer;
    border: 0;
}

.btn:hover{
    background-color: #1b377b;
}

.contact-info {
    display: flex;
    justify-content: space-between; /* Ajusta el espaciado entre los logos */
    align-items: center; /* Alinea los logos verticalmente */
    gap: 30px; /* Espacio entre los logos */
    margin-top: 40px;
}

.contact-info a img {
    width: 20px; /* Ajusta el tamaño de las imágenes */
    height: 20px; /* Asegura que todas tengan la misma altura */
    object-fit: cover; /* Asegura que la imagen se ajuste sin deformarse */
}




@media screen and (min-width: 768px){
    h1 {
        font-size: 85px;
        margin-bottom: 10px;
        font-weight: 800;
    }
    
    /* Estilo para subtítulos y otros textos */
    h2 {
        font-size: 15px;
        margin-bottom: 20px;
    }
    
    /* Estilos para el botón */
    button {
        padding: 10px 15px;
        font-size: 15px;
    }

    .seccion2 {
        padding: 10px;
        display: flex;
        flex-direction: row;
        align-items: center;
    }
    
    .about{
        text-align: center;
        display: flex;
    }
    
    .titulo-seccion2{
        font-size: 30px;
        padding: 20px;
    }

    .image-container{
        padding: 30px;
        width: 4000px ;
    }

    .seccion3{
        min-height: 100vh;
    }

    .titulo-seccion3{
        font-size: 40px;
    }

    .container-card{
        display: flex;
        flex-direction: row;
        align-items: stretch;
        justify-content: center;
    }
    
    .card{
        width: 200px;
        margin: 20px;
        border-radius: 6px;
        background:#fff;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.2);
        overflow: hidden;
    }
    
    .contact-info a img{
        width: 30px;
        height: 30px;
    }
}

@media screen and (min-width: 1200px) {
    .seccion1{
        background-image: url(./images/elitesports.png);
    }
    h1{
        font-size: 100px;
    }
    h2{
        font-size: 20px;
    }

    .titulo-seccion2{
        font-size: 50px;
        padding: 30px;
        text-align: left;
        font-weight: 400;
    }

    .parrafo-seccion2{
        font-size: 23px;
        text-align: left;
        padding: 0 20px 20px 20px;
    }

    .about {
        display: flex;
        max-width: 1300px;
        margin: 0 auto;
    }
    
    .image-container {
        padding: 60px;
    }
    
    .image-container .image-seccion2 {
        width: 100%;
        max-width: 450px;
        border-radius: 10px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }
    
    .text-container {
        margin: 10px;
    }

    .seccion3{
        padding-bottom: 60px;
    }

    .titulo-seccion3{
        font-weight: 500;
        font-size: 60px;
    }

    .card{
        width: 350px;
        margin: 20px;
        border-radius: 6px;
        background:#fff;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.2);
        overflow: hidden;
    }

    .seccion4 {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        height: 100vh;
        position: relative;
        background-color: #ffff;
    }
    
    .imagen {
        position: relative;
        overflow: hidden;
        background-size: cover;
        background-position: center;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .seccion5{
        background-image: url(./images/vicenyniño.png);
    }

    .titulo-seccion5{
        text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
        font-size: 50px;
    }

    label{
        font-size: 18px;
    }

    input , textarea{
        font-size: 15px;
    }

    form{
        width: 80%;
    }

    .btn{
        width: 70px;
    }
}
